# Locate KDL install directory

# This module defines
# KDL_INSTALL where to find include, lib, bin, etc.
# KDL_FOUND, is set to true

message(STATUS "Detecting KDL")
pkg_check_modules(KDL "orocos-kdl >= 0.99")
IF( KDL_FOUND )
	INCLUDE_DIRECTORIES( ${KDL_INCLUDE_DIRS} )
	LINK_DIRECTORIES( ${KDL_LINK_DIRS})
	SET(ENV{PKG_CONFIG_PATH} "${KDL_INSTALL}/lib/pkgconfig/:${OROCOS_INSTALL}/lib/pkgconfig")
	MESSAGE( "Looking for KDL Toolkit")
	pkg_check_modules(KDLTK "orocos-kdltk-${OROCOS_TARGET} >= 0.99")
	IF(KDLTK_FOUND)
	  INCLUDE_DIRECTORIES( ${KDLTK_INCLUDE_DIRS} )
	  LINK_DIRECTORIES( ${KDLTK_LINK_DIRS})
	  IF(ENABLE_CORBA)
	    MESSAGE("Looking for KDL Toolkit CORBA extension")
	    pkg_check_modules(KDLTKCORBA "orocos-kdltk-corba-${OROCOS_TARGET} >= 0.99")
	    IF(KDLTKCORBA_FOUND)
	      INCLUDE_DIRECTORIES( ${KDLTKCORBA_INCLUDE_DIRS} )
	      LINK_DIRECTORIES( ${KDLTKCORBA_LINK_DIRS})
	    ENDIF ( KDLTKCORBA_FOUND )
	  ENDIF(ENABLE_CORBA)
	ENDIF ( KDLTK_FOUND )
ENDIF ( KDL_FOUND )
